org.codehaus.plexus.embed

## Class Embedder

- java.lang.Object
- - org.codehaus.plexus.embed.Embedder

All Implemented Interfaces:
  PlexusEmbedder

    public class Embedder
    extends Object
    implements PlexusEmbedder

### Constructor Summary

Constructors
Constructor and Description
`Embedder()`

### Method Summary

Methods
`void` `addContextValue(Object key, Object value)`
`PlexusContainer` `getContainer()`
`boolean` `hasComponent(String role)`
`boolean` `hasComponent(String role, String id)`
`protected void` `initializeContext()`
`Object` `lookup(String role)`
`Object` `lookup(String role, String id)`
`void` `release(Object service)`
`void` `setClassWorld(ClassWorld classWorld)`
`void` `setConfiguration(Reader configuration)`
`void` `setConfiguration(URL configuration)`
`void` `setLoggerManager(LoggerManager loggerManager)`
`void` `setProperties(File file)`
`void` `setProperties(Properties properties)`
`void` `start()`
`void` `start(ClassWorld classWorld)`
`void` `stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Embedder

    public Embedder()

### Method Detail

#### getContainer

    public PlexusContainer getContainer()

Specified by:
  `getContainer` in interface `PlexusEmbedder`

#### lookup

    public Object lookup(String role)
                  throws ComponentLookupException

Specified by:
  `lookup` in interface `PlexusEmbedder`
Throws:
  `ComponentLookupException`

#### lookup

    public Object lookup(String role,
                String id)
                  throws ComponentLookupException

Specified by:
  `lookup` in interface `PlexusEmbedder`
Throws:
  `ComponentLookupException`

#### hasComponent

    public boolean hasComponent(String role)

Specified by:
  `hasComponent` in interface `PlexusEmbedder`

#### hasComponent

    public boolean hasComponent(String role,
                       String id)

Specified by:
  `hasComponent` in interface `PlexusEmbedder`

#### release

    public void release(Object service)
                 throws ComponentLifecycleException

Specified by:
  `release` in interface `PlexusEmbedder`
Throws:
  `ComponentLifecycleException`

#### setClassWorld

    public void setClassWorld(ClassWorld classWorld)

Specified by:
  `setClassWorld` in interface `PlexusEmbedder`

#### setConfiguration

    public void setConfiguration(URL configuration)
                          throws IOException

Specified by:
  `setConfiguration` in interface `PlexusEmbedder`
Throws:
  `IOException`

#### setConfiguration

    public void setConfiguration(Reader configuration)
                          throws IOException

Specified by:
  `setConfiguration` in interface `PlexusEmbedder`
Throws:
  `IOException`

#### addContextValue

    public void addContextValue(Object key,
                       Object value)

Specified by:
  `addContextValue` in interface `PlexusEmbedder`

#### setProperties

    public void setProperties(Properties properties)

Specified by:
  `setProperties` in interface `PlexusEmbedder`

#### setProperties

    public void setProperties(File file)

Specified by:
  `setProperties` in interface `PlexusEmbedder`

#### setLoggerManager

    public void setLoggerManager(LoggerManager loggerManager)

Specified by:
  `setLoggerManager` in interface `PlexusEmbedder`

#### initializeContext

    protected void initializeContext()

#### start

    public void start(ClassWorld classWorld)
               throws PlexusContainerException

Specified by:
  `start` in interface `PlexusEmbedder`
Throws:
  `PlexusContainerException`

#### start

    public void start()
               throws PlexusContainerException

Specified by:
  `start` in interface `PlexusEmbedder`
Throws:
  `PlexusContainerException`

#### stop

    public void stop()

Specified by:
  `stop` in interface `PlexusEmbedder`